古いストアキャッシュがあると、Adobe Commerce 2.4.0 のインストールが失敗する

この記事では、Adobe Commerce 2.4.0 のインストールが失敗して次のエラーメッセージが表示される問題の解決策を説明します。 デフォルトの web サイトが定義されていません。 Web サイトを設定して、もう一度試してください。 コンソールに表示されます。

影響を受ける製品とバージョン

  • クラウドインフラストラクチャー 2.4.0 上のAdobe Commerce
  • Adobe Commerce オンプレミス 2.4.0

問題

前提条件:
CLI コマンドの格納モジュールの API に依存するサードパーティ製拡張機能は、で必要に応じて設定されます。 composer.json. これにより、Adobe Commerce 2.4.0 のインストールが失敗し、次のエラーメッセージが表示されます。 デフォルトの web サイトが定義されていません。 Web サイトを設定して、もう一度試してください。 コンソールに表示されます。

原因:

この問題は、CLI コマンドでストアに依存しているサードパーティの拡張機能で発生する。 1 つ目はAmazon Sales Channelです。

解決策

Adobe Commerce 2.4.0 をインストールする前に、マーチャントは次の操作を行う必要があります。

  1. これらのサードパーティ拡張機能を次から削除します composer.json.
  2. 拡張機能なしでAdobe Commerceをインストールします。
  3. インストール後に拡張機能を追加します。

この問題は、2.4.1 リリースの範囲で修正される予定です。

サポートナレッジベースの関連するリーディング:

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a